#!/usr/bin/env python3
import setuptools

setuptools.setup(
    name='tunnelmgr',
    version='0.0.0.2',
    description='tunnelmgr -- SSH Tunnel Manager',
    author='Brandon Williams, Andreas Kremser',
    url='https://gitlab.com/kremser.andreas/tunnelmgr',
    packages=setuptools.find_packages(),
    python_requires='>=3',
    scripts=['tunnelmgr', 'tunnel_runner', 'tunnelmgr_cli', 'tunnel_runner_askpass'],
    include_package_data=True,
    data_files=[('share/applications', ['Tunnelmgr/data/tunnelmgr.desktop']),],
#                 ('share/man/man1', ['doc/tunnelmgr.1']),
#                 ('share/man/man1', ['doc/tunnelmgr_cli.1']),
#                 ('share/man/man1', ['doc/tunnel_runner.1']),
#                 ('share/man/man1', ['doc/tunnel_runner_askpass.1']),
#                 ('share/locale/cs/LC_MESSAGES', ['msg/cs/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/da/LC_MESSAGES', ['msg/da/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/de/LC_MESSAGES', ['msg/de/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/en/LC_MESSAGES', ['msg/en/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/es/LC_MESSAGES', ['msg/es/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/id/LC_MESSAGES', ['msg/id/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/it/LC_MESSAGES', ['msg/it/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/pl/LC_MESSAGES', ['msg/pl/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/pt_BR/LC_MESSAGES', ['msg/pt_BR/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/ru/LC_MESSAGES', ['msg/ru/LC_MESSAGES/tunnelmgr.mo']),
#                 ('share/locale/zh_CN/LC_MESSAGES', ['msg/zh_CN/LC_MESSAGES/tunnelmgr.mo']),
#                 ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
        'Programming Language :: Python :: 3',
    ],
);
